<?php
    $capabilities = array(
        'mod/gradeimporter:addinstance' => array(
            'riskbitmask' => RISK_XSS,
            'captype' => 'write',
            'contextlevel' => CONTEXT_COURSE,
            'archetypes' => array(
                'editingteacher' => CAP_ALLOW,
                'manager' => CAP_ALLOW
            ),
            'clonepermissionsfrom' => 'moodle/course:manageactivies'
        ),
        'mod/gradeimporter:view' => array(
            'captype' => 'read',
            'contextlevel' => CONTEXT_MODULE,
            'archetypes' => array(
                'guest' => CAP_ALLOW,
                'student' => CAP_ALLOW,
                'teacher' => CAP_ALLOW,
                'editingteacher' => CAP_ALLOW,
                'manager' => CAP_ALLOW
                )
            ),
        'mod/gradeimporter:addsubmission' => array(
                'captype' => 'write',
                'contextlevel' => CONTEXT_MODULE,
                'archetypes' => array(
                    'editingteacher' => CAP_ALLOW
                )
            ),
        'mod/gradeimporter:edit' => array(
                    'captype' => 'write',
                    'contextlevel' => CONTEXT_MODULE,
                    'archetypes' => array(
                        'editingteacher' => CAP_ALLOW,
                        'manager' => CAP_ALLOW
                    )
        )
);
